Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IMP_LIMIT

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.omg.CORBA.SystemException
                      org.omg.CORBA.IMP_LIMIT

All Implemented Interfaces:
  Serializable

    public final class IMP_LIMIT

extends SystemException

This exception indicates that an implementation limit was exceeded in the ORB run time. For example, an ORB may reach the maximum number of references it can hold simultaneously in an address space, the size of a parameter may have exceeded the allowed maximum, or an ORB may impose a maximum on the number of clients or servers that can run simultaneously.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`IMP_LIMIT()` Constructs an `IMP_LIMIT` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
`IMP_LIMIT(int minor, CompletionStatus completed)` Constructs an `IMP_LIMIT` exception with the specified minor code and completion status.
`IMP_LIMIT(String s)` Constructs an `IMP_LIMIT` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.
`IMP_LIMIT(String s, int minor, CompletionStatus completed)` Constructs an `IMP_LIMIT` exception with the specified detail message, minor code, and completion status.

Method Summary

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IMP_LIMIT

    public IMP_LIMIT()

  Constructs an `IMP_LIMIT` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

### IMP_LIMIT

    public IMP_LIMIT(String s)

  Constructs an `IMP_LIMIT` exception with the specified detail message, a minor code of 0, and a completion state of COMPLETED_NO.

  Parameters:
    `s` - the String containing a detail message

### IMP_LIMIT

    public IMP_LIMIT(int minor,
                     CompletionStatus completed)

  Constructs an `IMP_LIMIT` exception with the specified minor code and completion status.

  Parameters:
    `minor` - the minor code
    `completed` - the completion status

### IMP_LIMIT

    public IMP_LIMIT(String s,
                     int minor,
                     CompletionStatus completed)

  Constructs an `IMP_LIMIT` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the String containing a detail message
    `minor` - the minor code
    `completed` - the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.